package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DeviceAddRespOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceAddRespOpenApiVo   {
  @JsonProperty("operateId")
  private String operateId;

  public DeviceAddRespOpenApiVo operateId(String operateId) {
    this.operateId = operateId;
    return this;
  }

  /**
   * Operation ID used for progress query
   * @return operateId
  */
  @ApiModelProperty(value = "Operation ID used for progress query")


  public String getOperateId() {
    return operateId;
  }

  public void setOperateId(String operateId) {
    this.operateId = operateId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceAddRespOpenApiVo deviceAddRespOpenApiVo = (DeviceAddRespOpenApiVo) o;
    return Objects.equals(this.operateId, deviceAddRespOpenApiVo.operateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(operateId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceAddRespOpenApiVo {\n");
    
    sb.append("    operateId: ").append(toIndentedString(operateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

